(*        GREATIS DELPHI PAGES         *)
(* Copyright (C) 2001 Greatis Software *)
(*  web: http://www.greatisdelphi.com  *)
(*     e-mail: delphi@greatis.com      *)

unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TForm1 = class(TForm)
    ListBox1: TListBox;
    procedure ListBox1DrawItem(Control: TWinControl; Index: Integer;
      Rect: TRect; State: TOwnerDrawState);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.ListBox1DrawItem(Control: TWinControl; Index: Integer;
  Rect: TRect; State: TOwnerDrawState);
var
  Bitmap: TBitmap;
  R: TRect;
  Mas: array[1..3] of string;
  i: Integer;
begin
  Mas[1]:='Pict1.bmp';
  Mas[2]:='Pict2.bmp';
  Mas[3]:='Pict3.bmp';
  with (Control as TListBox).Canvas do
  begin
    Bitmap:=TBitmap.Create;
    FillRect(Rect);
    Bitmap.LoadFromFile('C:\Pictures\'+Mas[Index+1]);
    if Bitmap<>nil then
    begin
      R:=Bounds(Rect.Left+2, Rect.Top+2, Rect.Bottom-Rect.Top-2, Rect.Bottom-Rect.top-2);
      StretchDraw(R, Bitmap);
    end;
    TextOut(Rect.Left+100, Rect.Top, Mas[Index+1]);
    Bitmap.Free;
  end;
end;

end.
